Lavalite package that provides phone management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `autos/phone`.

    "autos/phone": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Autos\Phone\Providers\PhoneServiceProvider::class,

And also add it to alias

    'Phone'  => Autos\Phone\Facades\Phone::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Autos\\Phone\\Seeders\\PhoneTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Autos\Phone\Providers\PhoneServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Autos\Phone\Providers\PhoneServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Autos\Phone\Providers\PhoneServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/phone/{modulename}

**User**

    http://path-to-route-folder/user/phone/{modulename}

**Public**

    http://path-to-route-folder/phones


### API endpoints

**List**

    http://path-to-route-folder/api/user/phone/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/phone/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/phone/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/phone/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/phone/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/phone/{modulename}/{slug}
    METHOD: GET